<template>
    <view style="line-height: 26px;padding: 32upx;" class="home1 ">
		<view style="font-size: 28upx;" v-html="data.content"></view>
		<view class="btn-box  u-flex u-row-center" v-if="!isLogin">
			<view class="btn cancel" @click="cancel">拒绝</view>
			<view class="btn" @click="back">同意</view>
		</view>
    </view>
</template>

<script setup>
	import { reactive } from 'vue';
	import { onLoad } from '@dcloudio/uni-app'
	import {commonType} from '@/api/init.js';
	
	let data = reactive({
		content: '',
		isLogin:false
	})
	
	onLoad(() => {
		getGuize()
		data.isLogin=uni.getStorageSync('token')?true:false
	})
	async function getGuize() {
		let res = await commonType(154)
		data.content = res.value
	}
	
	function cancel(){
		// #ifdef H5
		uni.navigateBack()
		// #endif
		// #ifdef APP
		plus.runtime.quit();
		// #endif
	}
	
	function back(){
		uni.navigateBack()
	}
</script>

<style scoped>
	.btn {
		width: 100%;
		height: 42px;
		line-height: 42px;
		border-radius: 30px;
		background: #ff7581;
		color: #ffffff;
		text-align: center;
	}
	.btn-box{
		gap: 20px;
		padding: 30rpx 130rpx;
	}
	.cancel{
		background-color: #eee;
		color: #999;
	}
	page{
		/* background: #1c1b20; */
	}
</style>
